<?php
/*
  potfile.php   Original ffmail.php code by Matt McCormick. Explanations and slight modifications by Gerald Grow. 
  Disclaimer: This program is offered free, but with no guarantees of any kind.
  Use at your own risk. No support is available. 
  
  potfile.php is used to store the results of Hot Potatoes
  exercises into a tab-delimited file which can be opened with
  Microsoft Excel. The email function has been commented out with # marks,
  but it can be activated, so that your results are both emailed to you and stored to a file online.
  
  You do not need to modify Hot Potatoes source code to use potfile.php. 
  All you need to change is the way you set the CGI option when creating the exercise. 
  
  DIRECTIONS:
  
  Upload (FTP) this potfile.php file as TEXT, not as binary or "automatic." 
  Upload the accompanying potfile.txt file (as TEXT) to the same folder. 
  Set Permissions on the potfile.txt file to 644.
  
  In your Hot Potatoes exercises, under the CGI option, instead of entering
  the name of FormMail, enter the http:// address of this potfile.php script, 
  in a form that will probably resemble this:
  
  http://www.yourserver.com/topfolder/myfolder/potfile.php
  
  Data will be saved in potfile.txt. Be sure potfile.txt is in the same folder as potfile.php
  (or else enter the correct full local path to potfile.txt). 
  
  To retrieve data, go to potfile.txt with your browser, copy the data, and paste it into an Excel spreadsheet.
  If that does not work, download potfile.txt and open it from within Excel.
  
  Datafile maintenance: Over time, you will accumulate data in your data file. 
  The simplest way to delete the old data is to upload the original empty potfile.txt file again.
  (Remember to check its Permissions after uploading it.) 
  
  LIMITATION: A glance at the code will reveal that this code stores only the
  following four variables POSTed by Hot Potatoes exercises:
  
  realname, Exercise, Score, Start_Time, End_Time
  
  Therefore, this code cannot be used to store other kinds of form data to a file.
   
  
*/
	$defaultfile = "potfile.txt";	#default file to write to
	#use default file if none specified
	if (!$datafilename) { $datafilename = $defaultfile; }

	#string to get sent by email and printed to browser
	$str = "Name: $realname\n\nExercise: $Exercise\n\nScore: $Score\n\n";
	$str .= "Start Time: $Start_Time\n\nEnd Time: $End_Time";

	#top part of HTML code	
	$htmltop = "<h1 style=\"text-align: center\">Thanks!</h1>Below is what you submitted." . "<hr>";

	#the information to append to the file
	$filestr = "$realname\t$Exercise\t$Score\t$Start_Time\t$End_Time\n";
	
/*
If you want the results also sent to you as email, remove the first # from the START
of the following 2 lines. Do not remove the # from the middle of the first line. 

There is a possibility that spammers could use this email function to send spam,
so be careful.

*/

	#@ $mailsent = mail($recipient, $subject, $str);	#email $str to $recipient
	#if (!$mailsent) { die ("Your results could not be sent at the moment.  Please try again later."); }
	
	@ $results = fopen($datafilename, "a");		#open file and supress errors
	#print custom error if file doesn't exist or improper permissions
	if (!$results) { die ("Our results file could not be opened for writing.  Your score was not recorded.  Please contact the person responsible and try again later."); }
	flock($results, 2);	#lock file for writing
	fwrite($results, $filestr);	#write $filestr to $results
	flock($results, 3);	#unlock file
	fclose($results);	#close file
	
	echo ($htmltop . nl2br($str));	#print the Thanks! pop-up page
?>